use rocket::form::Form;

#[derive(FromForm)]
pub struct NewUserForm<'a> {
  pub username: &'a str,
  pub password: &'a str,
  pub email: &'a str,
}

#[derive(FromForm)]
pub struct NewListForm<'a> {
  pub name: &'a str,
}

#[derive(FromForm)]
pub struct UserLoginForm<'a>  {
  pub username: &'a str,
  pub password: &'a str,
}

#[derive(FromForm)]
pub struct PermsForm<'a> {
  pub list_id: i32,
  pub user_email: &'a str,
  pub perm: i32,
}

